Bug 525446 - xfrun4 should have basic syntax completion
Summary: xfrun4 should have basic syntax completion
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce-utils
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-24 12:32 UTC by Vladimir Benes
Modified: 2011-02-20 20:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-20 20:03:29 UTC


Attachments (Terms of Use)

Description Vladimir Benes 2009-09-24 12:32:55 UTC
Description of problem:
when writing app to run I would like to see some advise from database (see gnome or KDE run dialogs)

Version-Release number of selected component (if applicable):
xfce-utils-4.6.1-2.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1.press alt+f2
2.enter just half of desired application
3.
  
Actual results:
no completion

Expected results:
completion from db

Additional info:

Comment 1 Tomas Pelka 2009-09-24 14:29:02 UTC
+1

I think the expected behaviour is/should be:
* It only auto-completes program names that have been run with it before:
 -> reduces noise and resource usage

* It won't keep auto-complete those that refused to run:
 -> also eliminates history clutter from junk input

* On start-up, it displays the most recent program that was run.

Comment 2 Kevin Fenzi 2009-09-25 19:15:46 UTC
Would you be willing to file this upstream? 

Feature requests here are unlikely to be seen by upstream developers.

Comment 3 Christoph Wickert 2009-10-11 10:17:55 UTC
(In reply to comment #1)
> I think the expected behaviour is/should be:
> * It only auto-completes program names that have been run with it before:
>  -> reduces noise and resource usage

This is already implemented

> * It won't keep auto-complete those that refused to run:
>  -> also eliminates history clutter from junk input

already implemented

> * On start-up, it displays the most recent program that was run.  

already implemented

If I understand the bug reporter correctly, the only thing at is missing is auto-completion of commands in $PATH. Right?

Comment 4 Tomas Pelka 2009-10-12 11:01:35 UTC
Yes you are, completion works only for commands that was already used.

Comment 5 Kevin Fenzi 2011-02-20 20:03:29 UTC
This should be fixed now in the 4.8 version in rawhide. ;) 

Please feel free to re-open or file new bugs if you spot any problems with it.


Note You need to log in before you can comment on or make changes to this bug.